Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrRise Class Reference

Pango rise C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrRise:

List of all members.

## Public Member Functions

Constructors

- AttrRise (int rise)
    Construct a new baseline displacement attribute.

## Detailed Description

Pango rise C++ wrapper class.

AttrRise wraps the rise attribute (ATTR_RISE).

## Constructor & Destructor Documentation

Xfc::Pango::AttrRise::AttrRise | ( | int | rise | ) | `[explicit]`

Construct a new baseline displacement attribute.

Parameters:

  | rise | The amount that the text should be displaced vertically, in 10'000ths of an em.

Positive rise values displace the text upwards.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3